<?php
# Generated by the protocol buffer compiler.  DO NOT EDIT!
# source: table_store.proto

namespace Aliyun\OTS\ProtoBuffer\Protocol;

use Google\Protobuf\Internal\GPBType;
use Google\Protobuf\Internal\RepeatedField;
use Google\Protobuf\Internal\GPBUtil;

/**
 **
 * table_meta用于存储表中不可更改的schema属性，可以更改的ReservedThroughput和TableOptions独立出来，作为UpdateTable的参数。
 * 加入GlobalIndex和LocalIndex之后，结构会变为：
 * message CreateTableRequest {
 *         required TableMeta table_meta = 1;
 *         required ReservedThroughput reserved_throughput = 2;
 *         required TableOptions table_options = 3;
 *         repeated LocalIndex local_indexes = 4; // LocalIndex不再单独包含ReservedThroughput和TableOptions，其与主表共享配置。
 *         repeated GlobalIndex global_indexes = 5; // GlobalIndex内单独包含ReservedThroughput和TableOptions
 * }
 *
 * Generated from protobuf message <code>aliyun.OTS.ProtoBuffer.Protocol.CreateTableRequest</code>
 */
class CreateTableRequest extends \Aliyun\OTS\ProtoBuffer\Protocol\Message
{
    /**
     * Generated from protobuf field <code>required .aliyun.OTS.ProtoBuffer.Protocol.TableMeta table_meta = 1;</code>
     */
    private $table_meta = null;
    private $has_table_meta = false;
    /**
     * 未放在TableOptions内，原因是UpdateTableResponse中会返回ReservedThroughputDetails，而TableOptions没有类似的返回结构。
     *
     * Generated from protobuf field <code>required .aliyun.OTS.ProtoBuffer.Protocol.ReservedThroughput reserved_throughput = 2;</code>
     */
    private $reserved_throughput = null;
    private $has_reserved_throughput = false;
    /**
     * Generated from protobuf field <code>optional .aliyun.OTS.ProtoBuffer.Protocol.TableOptions table_options = 3;</code>
     */
    private $table_options = null;
    private $has_table_options = false;
    /**
     * Generated from protobuf field <code>repeated .aliyun.OTS.ProtoBuffer.Protocol.PartitionRange partitions = 4;</code>
     */
    private $partitions;
    private $has_partitions = false;
    /**
     * Generated from protobuf field <code>optional .aliyun.OTS.ProtoBuffer.Protocol.StreamSpecification stream_spec = 5;</code>
     */
    private $stream_spec = null;
    private $has_stream_spec = false;

    public function __construct() {
        \GPBMetadata\TableStore::initOnce();
        parent::__construct();
    }

    /**
     * Generated from protobuf field <code>required .aliyun.OTS.ProtoBuffer.Protocol.TableMeta table_meta = 1;</code>
     * @return \Aliyun\OTS\ProtoBuffer\Protocol\TableMeta
     */
    public function getTableMeta()
    {
        return $this->table_meta;
    }

    /**
     * Generated from protobuf field <code>required .aliyun.OTS.ProtoBuffer.Protocol.TableMeta table_meta = 1;</code>
     * @param \Aliyun\OTS\ProtoBuffer\Protocol\TableMeta $var
     * @return $this
     */
    public function setTableMeta($var)
    {
        GPBUtil::checkMessage($var, \Aliyun\OTS\ProtoBuffer\Protocol\TableMeta::class);
        $this->table_meta = $var;
        $this->has_table_meta = true;

        return $this;
    }

    public function hasTableMeta()
    {
        return $this->has_table_meta;
    }

    /**
     * 未放在TableOptions内，原因是UpdateTableResponse中会返回ReservedThroughputDetails，而TableOptions没有类似的返回结构。
     *
     * Generated from protobuf field <code>required .aliyun.OTS.ProtoBuffer.Protocol.ReservedThroughput reserved_throughput = 2;</code>
     * @return \Aliyun\OTS\ProtoBuffer\Protocol\ReservedThroughput
     */
    public function getReservedThroughput()
    {
        return $this->reserved_throughput;
    }

    /**
     * 未放在TableOptions内，原因是UpdateTableResponse中会返回ReservedThroughputDetails，而TableOptions没有类似的返回结构。
     *
     * Generated from protobuf field <code>required .aliyun.OTS.ProtoBuffer.Protocol.ReservedThroughput reserved_throughput = 2;</code>
     * @param \Aliyun\OTS\ProtoBuffer\Protocol\ReservedThroughput $var
     * @return $this
     */
    public function setReservedThroughput($var)
    {
        GPBUtil::checkMessage($var, \Aliyun\OTS\ProtoBuffer\Protocol\ReservedThroughput::class);
        $this->reserved_throughput = $var;
        $this->has_reserved_throughput = true;

        return $this;
    }

    public function hasReservedThroughput()
    {
        return $this->has_reserved_throughput;
    }

    /**
     * Generated from protobuf field <code>optional .aliyun.OTS.ProtoBuffer.Protocol.TableOptions table_options = 3;</code>
     * @return \Aliyun\OTS\ProtoBuffer\Protocol\TableOptions
     */
    public function getTableOptions()
    {
        return $this->table_options;
    }

    /**
     * Generated from protobuf field <code>optional .aliyun.OTS.ProtoBuffer.Protocol.TableOptions table_options = 3;</code>
     * @param \Aliyun\OTS\ProtoBuffer\Protocol\TableOptions $var
     * @return $this
     */
    public function setTableOptions($var)
    {
        GPBUtil::checkMessage($var, \Aliyun\OTS\ProtoBuffer\Protocol\TableOptions::class);
        $this->table_options = $var;
        $this->has_table_options = true;

        return $this;
    }

    public function hasTableOptions()
    {
        return $this->has_table_options;
    }

    /**
     * Generated from protobuf field <code>repeated .aliyun.OTS.ProtoBuffer.Protocol.PartitionRange partitions = 4;</code>
     * @return \Google\Protobuf\Internal\RepeatedField
     */
    public function getPartitions()
    {
        return $this->partitions;
    }

    /**
     * Generated from protobuf field <code>repeated .aliyun.OTS.ProtoBuffer.Protocol.PartitionRange partitions = 4;</code>
     * @param \Aliyun\OTS\ProtoBuffer\Protocol\PartitionRange[]|\Google\Protobuf\Internal\RepeatedField $var
     * @return $this
     */
    public function setPartitions($var)
    {
        $arr = GPBUtil::checkRepeatedField($var, \Google\Protobuf\Internal\GPBType::MESSAGE, \Aliyun\OTS\ProtoBuffer\Protocol\PartitionRange::class);
        $this->partitions = $arr;
        $this->has_partitions = true;

        return $this;
    }

    public function hasPartitions()
    {
        return $this->has_partitions;
    }

    /**
     * Generated from protobuf field <code>optional .aliyun.OTS.ProtoBuffer.Protocol.StreamSpecification stream_spec = 5;</code>
     * @return \Aliyun\OTS\ProtoBuffer\Protocol\StreamSpecification
     */
    public function getStreamSpec()
    {
        return $this->stream_spec;
    }

    /**
     * Generated from protobuf field <code>optional .aliyun.OTS.ProtoBuffer.Protocol.StreamSpecification stream_spec = 5;</code>
     * @param \Aliyun\OTS\ProtoBuffer\Protocol\StreamSpecification $var
     * @return $this
     */
    public function setStreamSpec($var)
    {
        GPBUtil::checkMessage($var, \Aliyun\OTS\ProtoBuffer\Protocol\StreamSpecification::class);
        $this->stream_spec = $var;
        $this->has_stream_spec = true;

        return $this;
    }

    public function hasStreamSpec()
    {
        return $this->has_stream_spec;
    }

}

